import pygame

import _types
from _node import Node


class _Gas(Node):
    
    def __init__(self, position, image_files):
        super(_Gas, self).__init__(position, image_files)


class Air(_Gas):
    
    deformable = False
    images = []
    
    def __init__(self, position):
        super(Air, self).__init__(position, ['skyblue'])
        if len(self.images) == 1:
            ## these would eventually be phased out in lieu of image files.
            ## for now we'll render it
            self._color_outline()
    
    def _color_outline(self):
        color = self.image.get_at((0,0))
        for attr in ('r','g','b'):
            val = getattr(color, attr)
            val = int(val * 1.15)
            if val > 255:
                val = 255
            setattr(color, attr, val)
        super(_Gas, self)._color_outline(color)
