import pygame

import _types
from _node import Node


class _Solid(Node):
    
    def __init__(self, position, image_files):
        super(_Solid, self).__init__(position, image_files)


class Dirt(_Solid):
    
    max_health = 3.0
    images = []
    
    def __init__(self, position):
        super(Dirt, self).__init__(position, ['brown'])
        if len(self.images) == 1:
            ## these would eventually be phased out in lieu of image files.
            ## for now we'll render it
            self._color_outline()
            self._make_chipped()
    
    def _make_chipped(self):
        x,y,w,h = self.rect
        polys = (
            ((0,0), (w,0), (w,0), (0,1)),
            ((0,0), (w,0), (w,0), (0,2)),
            ((0,0), (w,0), (w,1), (0,3)),
            ((0,0), (w,0), (w,1), (0,4)),
        )
        for points in polys:
            im = self.image.copy()
            pygame.draw.polygon(im, pygame.Color('skyblue'), points, 0)
            self.images.append(im)
    
    def _color_outline(self):
        color = self.image.get_at((0,0))
        color.r = int(color.r * 0.85)
        color.g = int(color.g * 0.85)
        color.b = int(color.b * 0.85)
        super(Dirt, self)._color_outline(color)
